Bug 837014 - FTBFS vdsm unit tests fail when run by koji
FTBFS vdsm unit tests fail when run by koji
Status: NEW
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
23
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Federico Simoncelli
Fedora Extras Quality Assurance
infra
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-07-02 10:14 EDT by Peter Robinson
Modified: 2015-07-15 11:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 27059 None None None Never

  None (edit)
Description Peter Robinson 2012-07-02 10:14:12 EDT
4.10.0 failed on ARM, 4.9.3.2 previously built fine.

Failed task is:

http://arm.koji.fedoraproject.org/buildinfo?buildID=71669

It looks to be when it runs the pep8 checks
Comment 1 Peter Robinson 2012-10-17 10:15:27 EDT
This isn't just ARM. It's FTBFS on mainline as well.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4599237
Comment 2 Jon Ciesla 2012-10-18 11:02:04 EDT
Builds on x86 and ARM on F17.  Updating python-pep8 to the rawhide version, 1.3.3-3, reproduces the failure.
Comment 3 Peter Robinson 2012-10-20 12:18:30 EDT
I've merged the F-17 changed back into F-18+ (not sure why this is being done, it's against guidelines) and disabled the make check until the maintainer bothers to respond and fix the bug
Comment 4 Dan Kenigsberg 2012-10-22 18:17:54 EDT
Thanks, Peter. This is a reasonable workaround for the time being.
Comment 5 Peter Robinson 2013-04-13 04:47:45 EDT
Still broken in F19/rawhide, what's the status of getting this fixed? I believe make check is quite important for a package like vdsm.
Comment 6 Dan Kenigsberg 2013-04-14 05:04:49 EDT
We are too slow to address this issue, and the koji logs have been garbage-collected. Would you please attach the pep8 failure causing this?
Comment 7 Peter Robinson 2013-04-14 05:18:05 EDT
(In reply to comment #6)
> We are too slow to address this issue, and the koji logs have been
> garbage-collected. Would you please attach the pep8 failure causing this?

Uncomment the make check in the %check section of the rpm spec file and then do a scratch build in koji and you can have all the information you like.
Comment 8 Dan Kenigsberg 2013-04-14 05:49:03 EDT
(In reply to comment #7)
> 
> Uncomment the make check in the %check section of the rpm spec file and then
> do a scratch build in koji and you can have all the information you like.

It may sound ridiculous, but I don't have time enough to do even that (you may search how many bugs have me as CCed). It would be wonderful if you - or someone else - gives a hand!

In any case, thanks for the report and the reminder.
Comment 9 Peter Robinson 2013-04-14 05:54:21 EDT
> It may sound ridiculous, but I don't have time enough to do even that (you
> may search how many bugs have me as CCed). It would be wonderful if you - or
> someone else - gives a hand!

Do you really think you're the only person with this problem? I'm not the maintainer of vdsm and I have literally 1000s of bugs too.

You're the maintainer, being a redhatter you also no doubt have other people in the virt team as well. The "make check" brings up legitimate bugs in packages and I think it's worthwhile esp for vdsm for this to be fixed.
Comment 10 Dan Kenigsberg 2013-04-14 06:08:11 EDT
(In reply to comment #9)

> Do you really think you're the only person with this problem?

No. I was just asking for help.
Comment 11 Cole Robinson 2013-04-14 14:56:27 EDT
Output here doesn't appear to be pep8 related. The problem with running python test suites in koji is that you need to duplicate basically every Requires as a BuildRequires

And if this was originally spawned by pep8 issues, make check should grow an option to skip that part. pe8 adds new tests all the time, and it will pretty uch never catch a bug, just style issues. but even if we were talking about pylint, i'd still disable it as part of the build step, because you're just asking for tedious build failures.

here's the current output with the make check line uncommented:


http://koji.fedoraproject.org/koji/taskinfo?taskID=5250093

../tests/run_tests_local.sh alignmentScanTests.py apiTests.py betterPopenTests.py capsTests.py configNetworkTests.py fileUtilTests.py fuserTests.py getAllVolumesTests.py glusterTestData.py gluster_cli_tests.py guestIFTests.py hooksTests.py libvirtvmTests.py lsblkTests.py main.py md_utils_tests.py miscTests.py mkimageTests.py mountTests.py netinfoTests.py outOfProcessTests.py parted_utils_tests.py permutationTests.py persistentDictTests.py remoteFileHandlerTests.py resourceManagerTests.py sslTests.py storageMailboxTests.py superVdsmTests.py tcTests.py vdsClientTests.py volumeTests.py zombieReaperTests.py 
nose.config: INFO: Ignoring files matching ['^\\.', '^_', '^setup\\.py$']
nose.config: INFO: Excluding tests matching .*
ERROR
Failure
    runTest                                                     ERROR
    runTest                                                     ERROR
    runTest                                                     SKIP : unable to import pyparted modules.
======================================================================
ERROR: <nose.suite.ContextSuite context=apiTests>
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/suite.py", line 208, in run
    self.setUp()
  File "/usr/lib/python2.7/site-packages/nose/suite.py", line 291, in setUp
    self.setupContext(ancestor)
  File "/usr/lib/python2.7/site-packages/nose/suite.py", line 314, in setupContext
    try_run(context, names)
  File "/usr/lib/python2.7/site-packages/nose/util.py", line 469, in try_run
    return func()
  File "/builddir/build/BUILD/vdsm-4.10.3/tests/apiTests.py", line 138, in setUpModule
    createFakeAPI()
  File "/builddir/build/BUILD/vdsm-4.10.3/tests/apiTests.py", line 81, in createFakeAPI
    _API = __import__('API', globals(), locals(), {}, -1)
  File "/builddir/build/BUILD/vdsm-4.10.3/vdsm/API.py", line 31, in <module>
    from clientIF import clientIF
  File "/builddir/build/BUILD/vdsm-4.10.3/vdsm/clientIF.py", line 41, in <module>
    import caps
  File "/builddir/build/BUILD/vdsm-4.10.3/vdsm/caps.py", line 34, in <module>
    import rpm
ImportError: No module named rpm
-------------------- >> begin captured logging << --------------------
Storage.LVM: WARNING: Cannot create env file [Errno 2] No such file or directory: '/var/run/vdsm/lvm.env'
--------------------- >> end captured logging << ---------------------
======================================================================
ERROR: Failure: ImportError (No module named rpm)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/loader.py", line 413, in loadTestsFromName
    addr.filename, addr.module)
  File "/usr/lib/python2.7/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python2.7/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/builddir/build/BUILD/vdsm-4.10.3/tests/capsTests.py", line 25, in <module>
    import caps
  File "/builddir/build/BUILD/vdsm-4.10.3/vdsm/caps.py", line 34, in <module>
    import rpm
ImportError: No module named rpm
-------------------- >> begin captured logging << --------------------
Storage.LVM: WARNING: Cannot create env file [Errno 2] No such file or directory: '/var/run/vdsm/lvm.env'
--------------------- >> end captured logging << ---------------------
======================================================================
ERROR: Failure: ImportError (No module named rpm)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/loader.py", line 413, in loadTestsFromName
    addr.filename, addr.module)
  File "/usr/lib/python2.7/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python2.7/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/builddir/build/BUILD/vdsm-4.10.3/tests/libvirtvmTests.py", line 22, in <module>
    import libvirtvm
  File "/builddir/build/BUILD/vdsm-4.10.3/vdsm/libvirtvm.py", line 37, in <module>
    import caps
  File "/builddir/build/BUILD/vdsm-4.10.3/vdsm/caps.py", line 34, in <module>
    import rpm
ImportError: No module named rpm
Comment 12 Peter Robinson 2014-08-29 08:57:56 EDT
Still an issue with vdsm-4.16.0-7.git5d3ed2d.fc22
Comment 13 Jan Kurik 2015-07-15 11:06:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.